/**
 * Copyright (c) 2010 A.G.Docherty. All Rights Reserved.
 */
package uk.co.keang.sudoku;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;

import javax.swing.JApplet;
import javax.swing.JOptionPane;
import javax.swing.UIManager;
import javax.swing.border.CompoundBorder;
import javax.swing.border.EmptyBorder;
import javax.swing.border.LineBorder;


/**
 * An applet displaying the RegexTester program
 * 
 * @author A.G.Docherty
 * @date 30 April 2010
 *
 */
public class SudokuApplet extends JApplet
{
private static final long serialVersionUID = -3256532281262389796L;
private SudokuGUI demo;

@Override
public void init() 
    {
    try {
        javax.swing.SwingUtilities.invokeAndWait(new Runnable() 
            {
            @Override
            public void run() 
                {
                try
                    {
//                    UIManager.setLookAndFeel(UIManager.getCrossPlatformLookAndFeelClassName());
                    UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
                    }
                catch ( Exception e )
                    {
                    // ignore this as it will still display - it just won't be the system look and feel
                    }

                demo = new SudokuGUI(SudokuApplet.this, null);
                demo.setBorder(new CompoundBorder(new LineBorder(Color.DARK_GRAY), new EmptyBorder(5,5,5,5)));
                getContentPane().add(demo, BorderLayout.CENTER);
                
//                System.out.println("DateApplet.run():"+demo.getPreferredSize());
                Dimension dim = demo.getPreferredSize();
                setSize(dim);
                
                
                JOptionPane.showMessageDialog(demo, "NOTE: This is BETA test software", "Beta Test", JOptionPane.INFORMATION_MESSAGE);

                }
            });
        } 
    catch (Exception e) 
        {
        e.printStackTrace();
        System.err.println("Failed to create the demo");
        }
    }

@Override
public void start()
    {
    // do nothing
    }

@Override
public void stop()
    {
    demo.windowClosed();
    }


}
