/**
 *  Copyright (c) 2010 A.G.Docherty. All Rights Reserved.
 */

package uk.co.keang.sudoku.event;

import java.awt.Point;
import java.util.List;

import uk.co.keang.sudoku.Puzzle;
import uk.co.keang.sudoku.solver.AbstractSolver;

/**
 * A solution event
 * 
 * @author A.G.Docherty
 *
 */
public class BruteForceEvent extends SolutionEvent implements Cloneable
{
private static final long serialVersionUID = -8337084924318825911L;

/**
 * A solver event for a changed cell
 * 
 * @param src  the solver that generated the event
 * @param msg  a descriptive message from the solver
 * @param grid  the grid after the proposed changes are applied
 * @param loc  the locations (0 based) of the cells that has been modified
 * @throws IllegalGridException 
 */
public BruteForceEvent(AbstractSolver src, String msg, Puzzle grid, List<Point> loc, Grouping group) throws IllegalGridException
	{
	super(src, msg, grid, null, null, null, group);
	}

}
