/**
 *  Copyright (c) 2010 A.G.Docherty. All Rights Reserved.
 */

package uk.co.keang.sudoku.event;

import java.awt.Point;
import java.util.Arrays;
import java.util.List;

import uk.co.keang.sudoku.Puzzle;
import uk.co.keang.sudoku.Puzzle.Cell;
import uk.co.keang.sudoku.solver.AbstractSolver;

/**
 * A solution event
 * 
 * @author A.G.Docherty
 *
 */
public class ZeroChoiceEvent extends SolutionEvent implements Cloneable
{
private static final long serialVersionUID = -8337084924318825911L;

/**
 * A solver event for a completed cell
 * 
 * @param src  the solver that generated the event
 * @param msg  a descriptive message from the solver
 * @param grid  the grid with the completed cell
 * @param loc  the location (0 based) of the cell that has been completed
 * @param ref 
 * @throws IllegalGridException 
 */
public ZeroChoiceEvent(AbstractSolver src, String msg, Puzzle grid, Point loc, Cell removed, List<Point> ref, Grouping group) throws IllegalGridException
	{
	super(src, msg, grid, Arrays.asList(loc), removed, ref, group);
	}

/**
 * True if this is a resolved cell event
 * @return
 */
@Override
public boolean isResolved()
	{
	return true;
	}
}
